Reinforcement UShapeRebar/es: Difference between revisions

From FreeCAD Documentation
(Created page with "# Crear un elemento structure # Seleccione cualquier cara de la estructura # A continuación, seleccione {{KEY | 16px UShape...")
No edit summary
Line 1: Line 1:
{{GuiCommandAddon|Name=Arch Rebar UShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_LShape|LShape Rebar]]}}
{{GuiCommandAddon/es|Name=Arch Rebar UShape|Name/es= Arch Barra de Refuerzo en Forma de U|Workbenches=[[Arch Module/es|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_LShape/es|LShape Rebar]]}}


==Descripción==
==Descripción==

Revision as of 15:02, 19 May 2018

Arch Barra de Refuerzo en Forma de U

Ubicación del menú
Arch → Rebar tools
Bancos de trabajo
Arch
Acceso directo
None
Ver también
LShape Rebar
 
Este comando es parte del Reinforcement AddOn, que puedes instalar a través del menú Tools → Addons Manager

Descripción

La herramienta UShape Rebar permite al usuario crear una barra de refuerzo de forma de U en el elemento estructural.

Utilización

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione UShape Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior, la cubierta superior, el factor de redondeo y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Propiedades

  • DatosOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatosFront Cover: The distance between rebar and selected face.
  • DatosRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatosLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatosTop Cover: The distance between rebar from the top face of the structure.
  • DatosRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatosAmount: The amount of rebars.
  • DatosSpacing: The distance between the axes of each bar.

Programación

The UShape Rebar tool can by used in macros and from the python console by using the following function:

makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The UShape Rebar have four different orientations:
    • Bottom
    • Top
    • Right
    • Left
  • Adds a UShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Returns the new Rebar object.

Example: Creating UShape rebar.

import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")

Changing properties of UShape rebar.

import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")